import request from '@/utils/request'

// 查询流程活动实例列表
export function listINSTPRO(query) {
  return request({
    url: '/business/INSTPRO/list',
    method: 'get',
    params: query
  })
}

// 查询流程活动实例所有列表
export function listAllINSTPRO(query) {
  return request({
    url: '/business/INSTPRO/listAll',
    method: 'get',
    params: query
  })
}

// 查询流程活动实例详细
export function getINSTPRO(id) {
  return request({
    url: '/business/INSTPRO/getInfo/' + id,
    method: 'get'
  })
}

// 新增流程活动实例
export function addINSTPRO(data) {
  return request({
    url: '/business/INSTPRO/add',
    method: 'post',
    data: data
  })
}

// 修改流程活动实例
export function updateINSTPRO(data) {
  return request({
    url: '/business/INSTPRO/edit',
    method: 'post',
    data: data
  })
}

// 删除流程活动实例
export function delINSTPRO(id) {
  return request({
    url: '/business/INSTPRO/remove/' + id,
    method: 'get'
  })
}
